float f = k(p);
        prave[f].push_back(p);
    }
    ll bp = 0;
    for (auto pk: prave) {
        vector<ll> d1;
        for (par p: pk.second) d1.push_back(d2(p));
        unordered_multiset<ll> d4c;
        for (ll d: d1) d4c.insert(d * 4);
        for (ll d: d1) bp += d4c.count(d);
    }
    cout << bp << endl;
    #ifdef CHUNGUS
    system("pause");
    #endif
}